package ru.dbotthepony.kstarbound.defs.tile

import it.unimi.dsi.fastutil.objects.Object2DoubleMap
import it.unimi.dsi.fastutil.objects.Object2DoubleMaps
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
class TileDamageConfig(
	val damageFactors: Object2DoubleMap<String> = Object2DoubleMaps.emptyMap(),
	val damageRecovery: Double = 1.0,
	val maximumEffectTime: Double = 0.0,
	val health: Double? = null,
	val harvestLevel: Int? = null
)
